bdi4jade.belief

## Interface BeliefSet<K,V>

- Type Parameters:
    `K` - the type of the belief name or key.
    `V` - the type of the belief set values.
  All Superinterfaces:
    Belief<K,java.util.Set<V>>, java.lang.Cloneable, jade.content.Concept, jade.content.ContentElement, MetadataElement, java.io.Serializable, jade.content.Term
  All Known Implementing Classes:
    AbstractBeliefSet, TransientBeliefSet

      public interface BeliefSet<K,V>
      extends Belief<K,java.util.Set<V>>

  This interface represents a belief that has a set of values associated with it.
  Author:
    Ingrid Nunes

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addValue(V value)` Adds a new value to this belief set.
    `boolean` | `hasValue(V value)` Checks whether this belief set has the provided value.
    `java.util.Iterator<V>` | `iterator()` Returns an iterator for this belief set.
    `boolean` | `removeValue(V value)` Removes a value from this belief set.

    - ### Methods inherited from interface bdi4jade.belief.Belief

      `addBeliefBase, clone, getBeliefBases, getName, getValue, removeBeliefBase, setValue`

    - ### Methods inherited from interface bdi4jade.core.MetadataElement

      `getMetadata, getMetadata, hasMetadata, putMetadata, removeMetadata`

- - ### Method Detail

    - #### addValue

          void addValue(V value)

      Adds a new value to this belief set.
      Parameters:
        `value` - the value to be added.

    - #### hasValue

          boolean hasValue(V value)

      Checks whether this belief set has the provided value.
      Parameters:
        `value` - the value to be checked.
      Returns:
        true if the belief set contains this value, false otherwise.

    - #### iterator

          java.util.Iterator<V> iterator()

      Returns an iterator for this belief set.
      Returns:
        the iterator to iterate the values of the belief set.

    - #### removeValue

          boolean removeValue(V value)

      Removes a value from this belief set.
      Parameters:
        `value` - the value to be removed.
      Returns:
        true if the value was removed, false otherwise.